import request from '@/utils/request'

// 查询card列表
export function listCard(query) {
  return request({
    url: '/company/companUsercard/list',
    method: 'get',
    params: query
  })
}

// 查询card详细
export function getCard(id) {
  return request({
    url: '/company/companUsercard/' + id,
    method: 'get'
  })
}

// 新增card
export function addCard(data) {
  return request({
    url: '/company/companUsercard',
    method: 'post',
    data: data
  })
}

// 修改card
export function updateCard(data) {
  return request({
    url: '/company/companUsercard',
    method: 'put',
    data: data
  })
}

// 删除card
export function delCard(id) {
  return request({
    url: '/company/companUsercard/' + id,
    method: 'delete'
  })
}

// 导出card
export function exportCard(query) {
  return request({
      url: '/company/companUsercard/export',
      method: 'get',
      params: query
  })
}


//群发短信
export function sendCustomerBatchMsg(data) {
    return request({
        url: '/company/companUsercard/sendCustomerBatchMsg',
        method: 'post',
        data: data
    })
 }
 